routes/web.php
<?php
date_default_timezone_set('Asia/Jakarta');
/* Route For Main View */
Route::get('/', function () {
    return redirect('/login');
});

/* Route For Auth */
Auth::routes();

/* Route For Main Menu */
Route::group(
    [
        'prefix' => 'admin',
        'middleware' => ['auth', 'role:admin|member'],
    ],
    function () {
        //Route Home
        Route::get('/home', 'admin\HomeController@index');
        
        //Route Change Password
        Route::get('change_password', [
            'as' => 'change_password',
            'uses' => 'Admin\UsersController@changePassword',
        ]);
        Route::post('store_password', [
            'as' => 'store_password',
            'uses' => 'Admin\UsersController@storeNewPassword',
        ]);

    }
);

Route::group(
    [
        'prefix' => 'admin',
        'middleware' => ['auth', 'role:admin'],
    ],
    function () {
        //Route Resource        
        Route::resource('master/users', 'Admin\UsersController');
        Route::resource('master/lapangan', 'Admin\LapanganController');
        Route::resource('master/harga', 'Admin\HargaController');

        //Route Booking
        Route::get('transaksi/booking/create/{date}', [
            'as' => 'booking.create',
            'uses' => 'Admin\BookingController@create',
        ]);

        Route::post('transaksi/booking/form_booking', [
            'as' => 'booking.form_booking',
            'uses' => 'Admin\BookingController@formBooking',
        ]);

        Route::post('transaksi/booking_list/form_booking_edit', [
            'as' => 'booking.form_booking_edit',
            'uses' => 'Admin\BookingController@formBookingEdit',
        ]);

        Route::post('transaksi/booking/store', [
            'as' => 'booking.store',
            'uses' => 'Admin\BookingController@store',
        ]);

        Route::put('transaksi/booking_list/update/{booking_id}', [
            'as' => 'booking.update',
            'uses' => 'Admin\BookingController@update',
        ]);

        Route::get('transaksi/booking_list', [
            'as' => 'booking.index',
            'uses' => 'Admin\BookingController@index',
        ]);

        Route::get('transaksi/booking_list/{booking_id}/edit', [
            'as' => 'booking.edit',
            'uses' => 'Admin\BookingController@edit',
        ]);

        Route::delete('transaksi/booking/destroy/{booking_id}', [
            'as' => 'booking.destroy',
            'uses' => 'Admin\BookingController@destroy',
        ]);

        //Route Tagihan
        Route::get('transaksi/tagihan', [
            'as' => 'tagihan.index',
            'uses' => 'Admin\PembayaranController@index',
        ]);

        Route::get('transaksi/tagihan/{user_id}/detail', [
            'as' => 'tagihan.detail',
            'uses' => 'Admin\PembayaranController@detailTagihan',
        ]);

        Route::post('transaksi/store', [
            'as' => 'tagihan.store',
            'uses' => 'Admin\PembayaranController@store',
        ]);

        //Route Pembayaran
        Route::get('pembayaran/laporan/{tahun}', [
            'as' => 'pembayaran.laporan',
            'uses' => 'Admin\PembayaranController@laporanPembayaran',
        ]);

        Route::get('pembayaran/laporan/{user_id}/{tahun}/detail', [
            'as' => 'pembayaran.detail',
            'uses' => 'Admin\PembayaranController@detailPembayaran',
        ]);

        Route::post('pembayaran/koreksi', [
            'as' => 'pembayaran.koreksi',
            'uses' => 'Admin\PembayaranController@koreksi',
        ]);

        Route::get('pembayaran/chart/{tahun}', [
            'as' => 'pembayaran.chart',
            'uses' => 'Admin\PembayaranController@chart',
        ]);

        //Last Record Harga
        Route::get('last_record_harga/{lapangan_id}/{hari}', 'Admin\HargaController@lastRecord');

    }
);


Route::get('auth/verify/{token}', 'Auth\RegisterController@verify');
Route::get('auth/send-verification', 'Auth\RegisterController@sendVerification');

app/Lapangan.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Lapangan extends Model
{
    protected $fillable = ['nama'];

    public function harga()
    {
        return $this->hasMany('App\Harga');
    }

    public function jadwal()
    {
        return $this->hasMany('App\Jadwal');
    }
}

app/Http/Controllers/Admin/LapanganController.php
<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Datatables;
use App\Lapangan;
use Validator;

class LapanganController extends Controller
{
    public function index(Request $request)
    {
        if ($request->ajax()) {
            $lapangans = Lapangan::select(['id', 'nama'])->get();
            return Datatables::of($lapangans)
                ->addColumn('action', function ($lapangan) {
                    return view('admin.datatables._action', [
                        'id' => $lapangan->id,
                        'destroy_url' => route('lapangan.destroy', $lapangan->id),
                        'edit_url' => route('lapangan.edit', $lapangan->id),
                        'confirm_message' => 'Apakah anda yakin ingin menghapus lapangan ' . $lapangan->nama . ' ?',
                    ]);
                })
                ->rawColumns(['action'])
                ->filter(function ($instance) use ($request) {
                    if (!empty($request->get('nama'))) {
                        $instance->collection = $instance->collection->filter(function ($row) use ($request) {
                            return Str::contains($row['nama'], $request->get('nama')) ? true : false;
                        });
                    }
                })
                ->make(true);
        }

        $data['title'] = 'Daftar Lapangan';
        return view('admin.lapangan.index', $data);
    }

    public function create()
    {
        $data['title'] = 'Tambah Lapangan';
        return view('admin.lapangan.create', $data);
    }

    public function store(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'nama' => 'required|unique:lapangans'
        ]);

        if ($validator->passes()) {
            $lapangan = Lapangan::create($request->all());
            return response()->json(['success' => 'Berhasil menambahkan Lapangan']);
        } else {
            return response()->json(['error' => $validator->getMessageBag()->toArray()]);
        }
    }

    public function show($id)
    {
        //
    }

    public function edit($id)
    {
        $data['title'] = 'Edit Lapangan';
        $data['lapangan'] = Lapangan::find($id);
        return view('admin.lapangan.edit', $data);
    }

    public function update(Request $request, $id)
    {
        $validator = Validator::make($request->all(), [
            'nama' => 'required|unique:lapangans,nama,' . $id,
        ]);

        if ($validator->passes()) {
            $lapangan = Lapangan::find($id);
            $lapangan->update($request->all());
            return response()->json(['success' => 'Berhasil mengubah data Lapangan']);
        } else {
            return response()->json(['error' => $validator->getMessageBag()->toArray()]);
        }

    }

    public function destroy($id)
    {
        $lapangan = Lapangan::where('id', $id);
        if($lapangan->first()->harga->count() > 0){
            return response()->json(['error' => 'Lapangan tidak dapat dihapus karena memiliki telah data harga']);
        }else{
            $lapangan->delete();
            return response()->json(['id' => $id]);
        }
    }
}

resources/views/admin/lapangan/_form.blade.php
<div class="form-group group-nama">
    {!! Form::label('nama', 'Nama', ['class' => 'col-md-3 control-label']) !!}
    <div class="col-md-9 col-xs-12">
        <div class="input-group">
            <span class="input-group-addon">
                <span class="fa fa-flag"></span>
            </span>
            {!! Form::text('nama', null, ['class' => 'form-control']) !!}
        </div>
    </div>
</div>

resources/views/admin/lapangan/create.blade.php
@extends('admin.layouts.app')

@section('content')
<ul class="breadcrumb">
    <li>Master Data</li>
    <li>Lapangan</li>
    <li class="active">Tambah Data</li>
</ul>


<div class="page-content-wrap">
    <div class="row row-bg">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">Form Lapangan</h3>
                </div>
                {!! Form::open(['url' => route('lapangan.store'), 
                    'class' => 'form-horizontal form-save', 
                    'method' =>'post', 
                    'data-btn' => 'btn-save',
                    'data-rule' => 'store']) !!}
                <div class="panel-body">
                    <a class="btn btn-default waves-effect" href="{{ route('lapangan.index') }}">
                        <i class="fa fa-arrow-left"> Kembali</i>
                    </a>
                    <hr>
                    <div class="row">
                        <div class="col-md-6">
                            @include('admin.lapangan._form')
                        </div>
                    </div>
                </div>
                <div class="panel-footer">
                    {!! Form::submit('Simpan', ['class'=>'btn btn-primary pull-right', 'id' => 'btn-save']) !!}
                </div>
                {!! Form::close() !!}
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/admin/lapangan/edit.blade.php
@extends('admin.layouts.app')

@section('content')
<ul class="breadcrumb">
    <li>Master Data</li>
    <li>Lapangan</li>
    <li class="active">Edit</li>
</ul>

<div class="page-content-wrap">
    <div class="row row-bg">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">Form Lapangan</h3>
                </div>
                
                {!! Form::model($lapangan, ['url' => route('lapangan.update', $lapangan->id),
                    'class' => 'form-horizontal form-save',
                    'method' =>'put',
                    'data-btn' => 'btn-save',
                    'data-redirect' => route('lapangan.index')]) !!}

                <div class="panel-body">
                    <a class="btn btn-default waves-effect" href="{{ route('lapangan.index') }}">
                        <i class="fa fa-arrow-left"> Kembali</i>
                    </a>
                    <hr>
                    <div class="row">
                        <div class="col-md-6">
                            @include('admin.lapangan._form')
                        </div>
                    </div>
                </div>
                <div class="panel-footer">
                    {!! Form::submit('Simpan', ['class'=>'btn btn-primary pull-right', 'id' => 'btn-save']) !!}
                </div>
                {!! Form::close() !!}
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/admin/lapangan/index.blade.php
@extends('admin.layouts.app')

@section('content')
<ul class="breadcrumb">
    <li>Master Data</li>
    <li class="active">Lapangan</li>
</ul>

<div class="page-content-wrap">
    <div class="row row-bg">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">Daftar Lapangan</h3>
                </div>
                <div class="panel-body">
                    <div class="row">
                        <a class="btn btn-default waves-effect" href="{{ route('lapangan.create') }}">Tambah Lapangan</a>
                        <hr>
                        <div class="col-md-12">
                            <table id="lapangan" class="table table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th width="10%">ID</th>
                                        <th>Nama Lapangan</th>
                                        <th width="10%">Action</th>
                                    </tr>
                                </thead>
                                <tfoot>
                                    <tr>
                                        <td></td>
                                        <td>
                                            {!! Form::text('nama', null, ['class' => 'form-control', 'placeholder' => 'Nama Lapangan', 'id' => 'nama']) !!}
                                        </td>
                                        <td></td>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')
<script type="text/javascript">
    $(function () {
        var table = $('#lapangan').DataTable({
            processing: false,
            serverSide: true,
            order: [ [0, 'desc'] ],
            ajax: {
                url: "{{ route('lapangan.index') }}",
                data: function (d) {
                    d.name = $('#nama').val()
                }
            },
            columns: [{
                    data: 'id',
                    name: 'id'
                },
                {
                    data: 'nama',
                    name: 'nama'
                },
                {
                    data: 'action',
                    name: 'action',
                    orderable: false,
                    searchable: false
                }
            ]
        });

        $('#nama').on('change', function () {
            table.draw();
        });
    });
</script>
@endsection

@section('style')
<style>
    #lapangan_filter {
        display: none;
    }
    #lapangan_length {
        width: 100%;
    }
</style>
@endsection